//::///////////////////////////////////////////////
//:: Name:  elv_guildchecker
//:://////////////////////////////////////////////
/*
    Provides a function for each guild, to
    determine if a given account name belongs
    to a certain guild.

    NOTE:
    When adding/removing account names from this
    script, YOU MUST COMPILE THE FOLLOWING SCRIPTS:

    update_pc
    m_onplayerdeath
*/
//:://////////////////////////////////////////////
//:: Created By:    Elvin
//:: Created On:    06-Oct-2004
//:://////////////////////////////////////////////

string sRulesJrnl = "guildrules";

// Added effect variables here to make easier to change if need be for new guilds. SoulFlame
effect eBane1    = EffectVisualEffect(VFX_DUR_IOUNSTONE_GREEN);
effect eBane2    = EffectVisualEffect(VFX_DUR_FLIES);

effect eAoD      = EffectVisualEffect(VFX_DUR_IOUNSTONE_YELLOW);


// String variables for Guild house key tags.
string kLeader   = "GldLdrKey";

string kBane     = "BaneKeyNOD";

int IsLodDM(string sAccountName)
{
    // Active DM list
    if (sAccountName == "somedm1" //  ||          //Beld

        )
    { return TRUE; }
    else return FALSE;
}

int IsBane(string sAccountName)
{
    //Banes:
    if(// High Priests
       sAccountName == "SoulFlames Paradox1" // ||

       )
    { return TRUE; }
    else return FALSE;
}

int IsAoD(string sAccountName)
{
    //AoD:
    if(sAccountName == "AoD")
    { return TRUE; }
    else 
		return FALSE;
}

int IsGuildLeader(string sAccountName)
{
    // Marks the Player Name as being a guild leader.
    // To be used in various scripts pertaining to the new Guild Rules
    if (sAccountName == "daniel19861"// ||         //Bane

        )
    { return TRUE; }
    else return FALSE;
}

int IsGuildMember(string sAccountName)
{
    // Marks the Player Name as being a guild member.
    // To be used in various scripts pertaining to the new Guild Rules
    if (IsBane(sAccountName))          return TRUE;
    else return FALSE;
}


string IsGuildName(string sAccountName)
{
    // Marks the Player Name as being a guild member.
    // To be used in various scripts pertaining to the new Guild Rules
    if (IsBane(sAccountName))          return "Bane";
    else return "No Guild Affiliation";
}


void ApplyGuildAura(string sActName, object oPlayer)
{
    //Banes:
    if(IsBane(sActName))
    {
       ApplyEffectToObject(DURATION_TYPE_PERMANENT, SupernaturalEffect(eBane1), oPlayer);
       if (IsGuildLeader(sActName)) ApplyEffectToObject(DURATION_TYPE_PERMANENT, SupernaturalEffect(eBane2), oPlayer);
    }
    //AoD:
    if(IsAoD(sActName))
    {
       ApplyEffectToObject(DURATION_TYPE_PERMANENT, SupernaturalEffect(eAoD), oPlayer);
    }
}
